Subject: Re: cygwin
From: Jerry Geis <[email-masked]>
To: Joshua Daniel Franklin <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Nov 2002 10:40:31 -0500

Joshua,

THanks, I have copied over the shared libraries into the /lib directory.
When I run the app it says it cannot find it the ld.so.6 shared library.

Is there something else I need to edit to tell cygwin it is available?

Thanks,

jerry

On Thursday 21 November 2002 09:44 am, Joshua Daniel Franklin wrote:
> Try to keep replies on-list so others can learn and search the archives.
>
> --- Jerry Geis <[email-masked]> wrote:
> > I have downloaded LINE now and tried it.
> > ldd on my app name gives ld.so.6 and ld-linux.so.2
> >
> > LINE gives me the -2 error which indicates (I think)
> > that I need to above libraries.
> >
> > Is there some what to get those libraries from the cygwin setup?
>
> No, these are Linux libraries that you will apparently have to copy
> along with your ELF executable from your Linux machine.
> Caveat: I've never used LINE but this is what the LINE FAQ seems to
> indicate.
>
> > On Thursday 21 November 2002 09:30 am, you wrote:
> > > --- Jerry Geis <[email-masked]> wrote:
> > > > I am new to cygwin. I have it all installed.
> > > > I was hoping I could take an ELF executable that I
> > > > made on my linux box and just run it in the cygwin
> > > > environment.
> > >
> > > No, Cygwin can only run Windows executables. What you're
> > > looking for is something like LINE:
> > >
> > > http://line.sourceforge.net
> > >
> > > > When I do that I get:
> > > >
> > > > Sytax Error: "(" expected
> > >
> > > This error actually looks like you might be trying to recompile
> > > your software, which *is* what Cygwin is about. I'm afraid that
> > > without more information, though, there's no way to diagnose.
> > >
> > > Hmm, this may be becoming an FAQ.
>
> __________________________________________________
> Do you Yahoo!?
> Yahoo! Mail Plus – Powerful. Affordable. Sign up now.
> http://mailplus.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/